Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1539)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1551)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Added support for land surface model and radiation model data.
 ! 
 ! Former revisions:
@@ -94,6 +94,17 @@
     USE kinds
 
+    USE land_surface_model_mod,                                                &
+        ONLY:  c_liq, c_liq_av, c_soil_av, c_veg, c_veg_av, ghf_eb,            &
+               ghf_eb_av, lai, lai_av, m_liq_eb, m_liq_eb_av, m_soil,          &
+               m_soil_av, nzb_soil, nzt_soil, qsws_eb, qsws_eb_av,             &
+               qsws_liq_eb, qsws_liq_eb_av, qsws_soil_eb, qsws_soil_eb_av,     &
+               qsws_veg_eb, qsws_veg_eb_av, shf_eb, shf_eb_av, t_soil,         &
+               t_soil_av
+
     USE particle_attributes,                                                   &
         ONLY:  grid_particles, number_of_particles, particles, prt_count
+
+    USE radiation_model_mod,                                                   &
+        ONLY:  rad_net, rad_net_av, rad_sw_in, rad_sw_in_av
 
     IMPLICIT NONE
@@ -123,4 +134,22 @@
           SELECT CASE ( TRIM( doav(ii) ) )
 
+             CASE ( 'c_liq*' )
+                IF ( .NOT. ALLOCATED( c_liq_av ) )  THEN
+                   ALLOCATE( c_liq_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                c_liq_av = 0.0_wp
+
+             CASE ( 'c_soil*' )
+                IF ( .NOT. ALLOCATED( c_soil_av ) )  THEN
+                   ALLOCATE( c_soil_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                c_soil_av = 0.0_wp
+
+             CASE ( 'c_veg*' )
+                IF ( .NOT. ALLOCATED( c_veg_av ) )  THEN
+                   ALLOCATE( c_veg_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                c_veg_av = 0.0_wp
+
              CASE ( 'e' )
                 IF ( .NOT. ALLOCATED( e_av ) )  THEN
@@ -129,4 +158,16 @@
                 e_av = 0.0_wp
 
+             CASE ( 'ghf_eb*' )
+                IF ( .NOT. ALLOCATED( ghf_eb_av ) )  THEN
+                   ALLOCATE( ghf_eb_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                ghf_eb_av = 0.0_wp
+
+             CASE ( 'lai*' )
+                IF ( .NOT. ALLOCATED( lai_av ) )  THEN
+                   ALLOCATE( lai_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                lai_av = 0.0_wp
+
              CASE ( 'lpt' )
                 IF ( .NOT. ALLOCATED( lpt_av ) )  THEN
@@ -141,4 +182,16 @@
                 lwp_av = 0.0_wp
 
+             CASE ( 'm_liq_eb*' )
+                IF ( .NOT. ALLOCATED( m_liq_eb_av ) )  THEN
+                   ALLOCATE( m_liq_eb_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                m_liq_eb_av = 0.0_wp
+
+             CASE ( 'm_soil' )
+                IF ( .NOT. ALLOCATED( m_soil_av ) )  THEN
+                   ALLOCATE( m_soil_av(nzb_soil:nzt_soil,nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                m_soil_av = 0.0_wp
+
              CASE ( 'nr' )
                 IF ( .NOT. ALLOCATED( nr_av ) )  THEN
@@ -231,4 +284,28 @@
                 qsws_av = 0.0_wp
 
+             CASE ( 'qsws_eb*' )
+                IF ( .NOT. ALLOCATED( qsws_eb_av ) )  THEN
+                   ALLOCATE( qsws_eb_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                qsws_eb_av = 0.0_wp
+
+             CASE ( 'qsws_liq_eb*' )
+                IF ( .NOT. ALLOCATED( qsws_liq_eb_av ) )  THEN
+                   ALLOCATE( qsws_liq_eb_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                qsws_liq_eb_av = 0.0_wp
+
+             CASE ( 'qsws_soil_eb*' )
+                IF ( .NOT. ALLOCATED( qsws_soil_eb_av ) )  THEN
+                   ALLOCATE( qsws_soil_eb_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                qsws_soil_eb_av = 0.0_wp
+
+             CASE ( 'qsws_veg_eb*' )
+                IF ( .NOT. ALLOCATED( qsws_veg_eb_av ) )  THEN
+                   ALLOCATE( qsws_veg_eb_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                qsws_veg_eb_av = 0.0_wp
+
              CASE ( 'qv' )
                 IF ( .NOT. ALLOCATED( qv_av ) )  THEN
@@ -237,4 +314,16 @@
                 qv_av = 0.0_wp
 
+             CASE ( 'rad_net*' )
+                IF ( .NOT. ALLOCATED( rad_net_av ) )  THEN
+                   ALLOCATE( rad_net_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                rad_net_av = 0.0_wp
+
+             CASE ( 'rad_sw_in*' )
+                IF ( .NOT. ALLOCATED( rad_sw_in_av ) )  THEN
+                   ALLOCATE( rad_sw_in_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                rad_sw_in_av = 0.0_wp
+
              CASE ( 'rho' )
                 IF ( .NOT. ALLOCATED( rho_av ) )  THEN
@@ -261,4 +350,16 @@
                 shf_av = 0.0_wp
 
+             CASE ( 'shf_eb*' )
+                IF ( .NOT. ALLOCATED( shf_eb_av ) )  THEN
+                   ALLOCATE( shf_eb_av(nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                shf_eb_av = 0.0_wp
+
+             CASE ( 't_soil' )
+                IF ( .NOT. ALLOCATED( t_soil_av ) )  THEN
+                   ALLOCATE( t_soil_av(nzb_soil:nzt_soil,nysg:nyng,nxlg:nxrg) )
+                ENDIF
+                t_soil_av = 0.0_wp
+
              CASE ( 't*' )
                 IF ( .NOT. ALLOCATED( ts_av ) )  THEN
@@ -328,4 +429,25 @@
        SELECT CASE ( TRIM( doav(ii) ) )
 
+          CASE ( 'c_liq*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   c_liq_av(j,i) = c_liq_av(j,i)
+                ENDDO
+             ENDDO
+
+          CASE ( 'c_soil*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   c_soil_av(j,i) = c_soil_av(j,i) + (1.0_wp - c_veg(j,i))
+                ENDDO
+             ENDDO
+
+          CASE ( 'c_veg*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   c_veg_av(j,i) = c_veg_av(j,i)
+                ENDDO
+             ENDDO
+
           CASE ( 'e' )
              DO  i = nxlg, nxrg
@@ -334,4 +456,18 @@
                       e_av(k,j,i) = e_av(k,j,i) + e(k,j,i)
                    ENDDO
+                ENDDO
+             ENDDO
+
+          CASE ( 'ghf_eb*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   ghf_eb_av(j,i) = ghf_eb_av(j,i) + ghf_eb(j,i)
+                ENDDO
+             ENDDO
+
+          CASE ( 'lai*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   lai_av(j,i) = lai_av(j,i)
                 ENDDO
              ENDDO
@@ -351,4 +487,20 @@
                    lwp_av(j,i) = lwp_av(j,i) + SUM( ql(nzb:nzt,j,i) * &
                                                     dzw(1:nzt+1) )
+                ENDDO
+             ENDDO
+
+          CASE ( 'm_liq_eb*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   m_liq_eb_av(j,i) = m_liq_eb_av(j,i) + m_liq_eb(j,i)
+                ENDDO
+             ENDDO
+
+          CASE ( 'm_soil' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   DO  k = nzb_soil, nzt_soil
+                      m_soil_av(k,j,i) = m_soil_av(k,j,i) + m_soil(k,j,i)
+                   ENDDO
                 ENDDO
              ENDDO
@@ -518,4 +670,32 @@
              ENDDO
 
+          CASE ( 'qsws_eb*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   qsws_eb_av(j,i) = qsws_eb_av(j,i) + qsws_eb(j,i)
+                ENDDO
+             ENDDO
+
+          CASE ( 'qsws_liq_eb*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   qsws_liq_eb_av(j,i) = qsws_liq_eb_av(j,i) + qsws_liq_eb(j,i)
+                ENDDO
+             ENDDO
+
+          CASE ( 'qsws_soil_eb*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   qsws_soil_eb_av(j,i) = qsws_soil_eb_av(j,i) + qsws_soil_eb(j,i)
+                ENDDO
+             ENDDO
+
+          CASE ( 'qsws_veg_eb*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   qsws_veg_eb_av(j,i) = qsws_veg_eb_av(j,i) + qsws_veg_eb(j,i)
+                ENDDO
+             ENDDO
+
           CASE ( 'qv' )
              DO  i = nxlg, nxrg
@@ -527,4 +707,18 @@
              ENDDO
 
+          CASE ( 'rad_net*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   rad_net_av(j,i) = rad_net_av(j,i) + rad_net(j,i)
+                ENDDO
+             ENDDO
+
+          CASE ( 'rad_sw_in*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   rad_sw_in_av(j,i) = rad_sw_in_av(j,i) + rad_sw_in(j,i)
+                ENDDO
+             ENDDO
+
           CASE ( 'rho' )
              DO  i = nxlg, nxrg
@@ -561,8 +755,24 @@
              ENDDO
 
+          CASE ( 'shf_eb*' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   shf_eb_av(j,i) = shf_eb_av(j,i) + shf_eb(j,i)
+                ENDDO
+             ENDDO
+
           CASE ( 't*' )
              DO  i = nxlg, nxrg
                 DO  j = nysg, nyng
                    ts_av(j,i) = ts_av(j,i) + ts(j,i)
+                ENDDO
+             ENDDO
+
+          CASE ( 't_soil' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   DO  k = nzb_soil, nzt_soil
+                      t_soil_av(k,j,i) = t_soil_av(k,j,i) + t_soil(k,j,i)
+                   ENDDO
                 ENDDO
              ENDDO
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 1539)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 1551)
@@ -72,8 +72,4 @@
         ONLY:  e, e_p, nr, nr_p, pt, pt_p, q, q_p, qr, qr_p, sa, sa_p, u, u_p, &
                v, v_p, w, w_p
-
-    USE land_surface_model_mod,                                                &
-        ONLY: land_surface, m_liq, m_liq_p, m_soil, m_soil_p, T_0, T_0_p,      &
-              T_soil, T_soil_p
 #else
     USE arrays_3d,                                                             &
@@ -82,9 +78,8 @@
                u_1, u_2, u_p, v, v_1, v_2, v_p, w, w_1, w_2, w_p
 
+#endif
+
     USE land_surface_model_mod,                                                &
-        ONLY: land_surface, m_liq, m_liq_1, m_liq_2, m_liq_p, m_soil,          &
-              m_soil_1, m_soil_2, m_soil_p, T_0, T_0_1, T_0_2, T_0_p, T_soil,  &
-              T_soil_1, T_soil_2, T_soil_p
-#endif
+        ONLY: land_surface, lsm_swap_timelevel
 
     USE cpulog,                                                                &
@@ -129,10 +124,5 @@
 
     IF ( land_surface )  THEN
-       T_0    = T_0_p
-       T_soil = T_soil_p
-       IF ( humidity )  THEN
-          m_soil = m_soil_p
-          m_liq  = m_liq_p
-       ENDIF
+       CALL lsm_swap_timelevel ( 0 )
     ENDIF
 
@@ -168,10 +158,5 @@
 
           IF ( land_surface )  THEN
-             T_0    => T_0_1;    T_0_p    => T_0_2
-             T_soil => T_soil_1; T_soil_p => T_soil_2
-             IF ( humidity )  THEN
-                m_soil => m_soil_1; m_soil_p  => m_soil_2
-                m_liq  => m_liq_1;  m_liq_p   => m_liq_2
-             ENDIF
+             CALL lsm_swap_timelevel ( MOD( timestep_count, 2) )
           ENDIF
 
@@ -201,10 +186,5 @@
 
           IF ( land_surface )  THEN
-             T_0    => T_0_2;    T_0_p    => T_0_1
-             T_soil => T_soil_2; T_soil_p => T_soil_1
-             IF ( humidity )  THEN
-                m_soil => m_soil_2; m_soil_p  => m_soil_1
-                m_liq  => m_liq_2;  m_liq_p   => m_liq_1
-             ENDIF
+             CALL lsm_swap_timelevel ( MOD( timestep_count, 2) )
           ENDIF
 
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1539)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1551)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Added interface for different radiation schemes.
 ! 
 ! Former revisions:
@@ -223,5 +223,6 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY: dt_radiation, lsm_radiation, radiation, time_radiation
+        ONLY: dt_radiation, irad_scheme, radiation, radiation_clearsky,        &
+              radiation_constant, radiation_rrtm, time_radiation
 
     USE statistics,                                                            &
@@ -601,5 +602,11 @@
 
                 time_radiation = time_radiation - dt_radiation
-                CALL lsm_radiation
+                IF ( irad_scheme == 0 )  THEN
+                   CALL radiation_constant              
+                ELSEIF ( irad_scheme == 1 )  THEN
+                   CALL radiation_clearsky
+                ELSEIF ( irad_scheme == 2 )  THEN
+                   CALL radiation_rrtm
+                ENDIF
 
                 CALL cpu_log( log_point(50), 'radiation', 'stop' )
Index: palm/trunk/SOURCE/user_data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_2d.f90	(revision 1539)
+++ palm/trunk/SOURCE/user_data_output_2d.f90	(revision 1551)
@@ -1,3 +1,3 @@
- SUBROUTINE user_data_output_2d( av, variable, found, grid, local_pf, two_d )
+ SUBROUTINE user_data_output_2d( av, variable, found, grid, local_pf, two_d, nzb_do, nzt_do )
 
 !--------------------------------------------------------------------------------!
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Replaced nzb and nzt+1 with the new array bounds nzb_do and nzt_do.
 ! 
 ! Former revisions:
@@ -61,7 +61,9 @@
     INTEGER(iwp) ::  j  !: 
     INTEGER(iwp) ::  k  !: 
+    INTEGER(iwp) ::  nzb_do !: lower limit of the domain (usually nzb)
+    INTEGER(iwp) ::  nzt_do !: upper limit of the domain (usually nzt+1)
 
     LOGICAL      ::  found !: 
-    LOGICAL      ::  two_d !: 
+    LOGICAL      ::  two_d !: flag parameter that indicates 2D variables (horizontal cross sections)
 
     REAL(wp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb:nzt+1) ::  local_pf !: 
@@ -81,5 +83,5 @@
 !             DO  i = nxlg, nxrg
 !                DO  j = nysg, nyng
-!                   DO  k = nzb, nzt+1
+!                   DO  k = nzb_do, nzt_do
 !                      local_pf(i,j,k) = u2(k,j,i)
 !                   ENDDO
@@ -89,5 +91,5 @@
 !             DO  i = nxlg, nxrg
 !                DO  j = nysg, nyng
-!                   DO  k = nzb, nzt+1
+!                   DO  k = nzb_do, nzt_do
 !                      local_pf(i,j,k) = u2_av(k,j,i)
 !                   ENDDO
Index: palm/trunk/SOURCE/user_data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_3d.f90	(revision 1539)
+++ palm/trunk/SOURCE/user_data_output_3d.f90	(revision 1551)
@@ -1,3 +1,3 @@
- SUBROUTINE user_data_output_3d( av, variable, found, local_pf, nz_do )
+ SUBROUTINE user_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
 
 !--------------------------------------------------------------------------------!
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Replaced nzb and nzt+1 with the new array bounds nzb_do and nzt_do.
 ! 
 ! Former revisions:
@@ -62,9 +62,10 @@
     INTEGER(iwp) ::  j     !: 
     INTEGER(iwp) ::  k     !: 
-    INTEGER(iwp) ::  nz_do !: 
+    INTEGER(iwp) ::  nzb_do !: lower limit of the data output (usually 0)
+    INTEGER(iwp) ::  nzt_do !: vertical upper limit of the data output (usually nz_do3d)
 
     LOGICAL      ::  found !: 
 
-   REAL(sp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb:nz_do) ::  local_pf !: 
+   REAL(sp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb_do:nzt_do) ::  local_pf !: 
 
 
@@ -82,5 +83,5 @@
 !             DO  i = nxlg, nxrg
 !                DO  j = nysg, nyng
-!                   DO  k = nzb, nz_do
+!                   DO  k = nzb_do, nzt_do
 !                      local_pf(i,j,k) = u2(k,j,i)
 !                   ENDDO
@@ -90,5 +91,5 @@
 !             DO  i = nxlg, nxrg
 !                DO  j = nysg, nyng
-!                   DO  k = nzb, nz_do
+!                   DO  k = nzb_do, nzt_do
 !                      local_pf(i,j,k) = u2_av(k,j,i)
 !                   ENDDO
Index: palm/trunk/SOURCE/user_header.f90
===================================================================
--- palm/trunk/SOURCE/user_header.f90	(revision 1539)
+++ palm/trunk/SOURCE/user_header.f90	(revision 1551)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Typo removed
 !
 ! Former revisions:
@@ -44,5 +44,5 @@
 ! Description:
 ! ------------
-! Print a header with user-defined informations.
+! Print a header with user-defined information.
 !------------------------------------------------------------------------------!
 
@@ -61,5 +61,5 @@
 !
 !-- If no user-defined variables are read from the namelist-file, no
-!-- informations will be printed.
+!-- information will be printed.
     IF ( .NOT. user_defined_namelist_found )  THEN
        WRITE ( io, 100 )
@@ -68,5 +68,5 @@
 
 !
-!-- Printing the informations.
+!-- Printing the information.
     WRITE ( io, 110 )
 
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1539)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1551)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Added support for binary ouput of land surface and radiation model data. 
 ! 
 ! Former revisions:
@@ -86,4 +86,10 @@
     USE indices,                                                               &
         ONLY:  nxl, nxr, nys, nyn, nzb, nzt
+
+    USE land_surface_model_mod,                                                &
+        ONLY:  c_liq_av, c_soil_av, c_veg_av, ghf_eb_av, lai_av,               &
+               qsws_eb_av, qsws_liq_eb_av, qsws_soil_eb_av, qsws_veg_eb_av,    & 
+               land_surface, m_liq_eb, m_liq_eb_av, m_soil, m_soil_av,         &
+               nzb_soil, nzt_soil, shf_eb_av, t_soil, t_soil_av
         
     USE particle_attributes,                                                   &
@@ -92,4 +98,7 @@
     USE pegrid
     
+    USE radiation_model_mod,                                                   &
+        ONLY: radiation, rad_net_av, rad_sw_in_av
+
     USE random_function_mod,                                                   &
         ONLY:  random_iv, random_iy
@@ -112,5 +121,5 @@
 !
 !-- Write arrays.
-    binary_version = '3.4'
+    binary_version = '4.0'
 
     WRITE ( 14 )  binary_version
@@ -124,4 +133,16 @@
 !--            adjusted accordingly.
 
+
+    IF ( land_surface )  THEN
+       IF ( ALLOCATED( c_liq_av ) )  THEN
+          WRITE ( 14 )  'c_liq_av                 ';  WRITE ( 14 ) c_liq_av
+       ENDIF
+       IF ( ALLOCATED( c_soil_av ) )  THEN
+          WRITE ( 14 )  'c_soil_av                ';  WRITE ( 14 ) c_soil_av
+       ENDIF
+       IF ( ALLOCATED( c_veg_av ) )  THEN
+          WRITE ( 14 )  'c_veg_av                 ';  WRITE ( 14 ) c_veg_av
+       ENDIF
+    ENDIF
     WRITE ( 14 )  'e                   ';  WRITE ( 14 )  e
     IF ( ALLOCATED( e_av ) )  THEN
@@ -129,6 +150,16 @@
     ENDIF
     WRITE ( 14 )  'iran                ';  WRITE ( 14 )  iran, iran_part
+    IF ( land_surface )  THEN
+       IF ( ALLOCATED( ghf_eb_av ) )  THEN
+          WRITE ( 14 )  'ghf_eb_av                ';  WRITE ( 14 )  ghf_eb_av
+       ENDIF
+    ENDIF
     WRITE ( 14 )  'kh                  ';  WRITE ( 14 )  kh
     WRITE ( 14 )  'km                  ';  WRITE ( 14 )  km
+    IF ( land_surface )  THEN
+       IF ( ALLOCATED( lai_av ) )  THEN
+          WRITE ( 14 )  'lai_av                   ';  WRITE ( 14 )  lai_av
+       ENDIF
+    ENDIF
     IF ( ALLOCATED( lpt_av ) )  THEN
        WRITE ( 14 )  'lpt_av              ';  WRITE ( 14 )  lpt_av
@@ -136,4 +167,14 @@
     IF ( ALLOCATED( lwp_av ) )  THEN
        WRITE ( 14 )  'lwp_av              ';  WRITE ( 14 )  lwp_av
+    ENDIF
+    IF ( land_surface )  THEN
+       WRITE ( 14 )  'm_liq_eb            ';  WRITE ( 14 )  m_liq_eb
+       IF ( ALLOCATED( m_liq_eb_av ) )  THEN
+          WRITE ( 14 )  'm_liq_eb_av              ';  WRITE ( 14 )  m_liq_eb_av
+       ENDIF
+       WRITE ( 14 )  'm_soil              ';  WRITE ( 14 )  m_soil
+       IF ( ALLOCATED( m_soil_av ) )  THEN
+          WRITE ( 14 )  'm_soil_av                ';  WRITE ( 14 )  m_soil_av
+       ENDIF
     ENDIF
     WRITE ( 14 )  'p                   ';  WRITE ( 14 )  p
@@ -204,4 +245,26 @@
        WRITE ( 14 )  'qswst               ';  WRITE ( 14 ) qswst
     ENDIF
+    IF ( land_surface )  THEN
+       IF ( ALLOCATED( qsws_eb_av ) )  THEN
+          WRITE ( 14 )  'qsws_eb_av          ';  WRITE ( 14 )  qsws_eb_av
+       ENDIF   
+       IF ( ALLOCATED( qsws_liq_eb_av ) )  THEN
+          WRITE ( 14 )  'qsws_liq_eb_av      ';  WRITE ( 14 )  qsws_liq_eb_av
+       ENDIF  
+       IF ( ALLOCATED( qsws_soil_eb_av ) )  THEN
+          WRITE ( 14 )  'qsws_soil_eb_av     ';  WRITE ( 14 )  qsws_soil_eb_av
+       ENDIF 
+       IF ( ALLOCATED( qsws_veg_eb_av ) )  THEN
+          WRITE ( 14 )  'qsws_veg_eb_av      ';  WRITE ( 14 )  qsws_veg_eb_av
+       ENDIF 
+    ENDIF
+    IF ( radiation )  THEN
+       IF ( ALLOCATED( rad_net_av ) )  THEN
+          WRITE ( 14 )  'rad_net_av          ';  WRITE ( 14 )  rad_net_av  
+       ENDIF  
+       IF ( ALLOCATED( rad_sw_in_av ) )  THEN
+          WRITE ( 14 )  'rad_sw_in_av          ';  WRITE ( 14 )  rad_sw_in_av  
+       ENDIF 
+    ENDIF
     IF ( ocean )  THEN
        IF ( ALLOCATED( rho_av ) )  THEN
@@ -214,4 +277,10 @@
        WRITE ( 14 )  'saswsb              ';  WRITE ( 14 )  saswsb
        WRITE ( 14 )  'saswst              ';  WRITE ( 14 )  saswst
+    ENDIF
+    IF ( land_surface )  THEN
+       WRITE ( 14 )  't_soil              ';  WRITE ( 14 )  t_soil
+       IF ( ALLOCATED( t_soil_av ) )  THEN
+          WRITE ( 14 )  't_soil_av                ';  WRITE ( 14 )  t_soil_av
+       ENDIF
     ENDIF
     IF ( ALLOCATED( ql_c_av ) )  THEN
@@ -244,4 +313,9 @@
        WRITE ( 14 )  'shf_av              ';  WRITE ( 14 )  shf_av
     ENDIF
+    IF ( land_surface )  THEN
+       IF ( ALLOCATED( shf_eb_av ) )  THEN
+          WRITE ( 14 )  'shf_eb_av           ';  WRITE ( 14 )  shf_eb_av
+       ENDIF
+    ENDIF
     IF ( ALLOCATED( spectrum_x ) )  THEN
        WRITE ( 14 )  'spectrum_x          ';  WRITE ( 14 )  spectrum_x
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1539)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1551)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Typo removed
 ! 
 ! Former revisions:
@@ -116,5 +116,5 @@
 ! ------------
 ! Writing values of control variables to restart-file (binary format).
-! These informations are only written to the file opened by PE0.
+! This information are only written to the file opened by PE0.
 !------------------------------------------------------------------------------!
 
